Subject: Re: bug#38031: 26.3; Trying to invoke the macOS File Open window causes Emacs to crash on macOS Catalina

From: Alan Third <[email-masked]>
Date: Sat, 18 Jan 2020 20:50:24 +0000

On Sat, Jan 18, 2020 at 11:39:02AM -0500, Michael Dixon wrote:
> Good news:
> 
> I grepped the source tree, and I noticed EmacsSavePanel mentioned in
> what I believe were leftovers from previous builds. Files with names
> like emacs-27.0.60.1, emacs-27.0.60.2, etc., all with modify dates
> that seemed to align up with dates I would have done a make install.
> I tried cleaning them up manually (e.g. deleting them), and I was
> left with the only mentions of EmacsSavePanel being in the change
> log.
> 
> I rebuilt again and this time Save As no longer causes a crash.
> 
> I’m sorry Alan for making this such a fiasco.

Not a problem, I’m just happy it was an easy fix. :)

I’ll wait for a bit to see if anyone pipes up with opinions on whether
it’s worth keeping these classes on systems where they might work.

Thanks!
-- 
Alan Third